package opc.ua.services.sets;

import opc.ua.addressspace.datatype.LocaleId;
import opc.ua.services.common.ApplicationDescription;
import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class FindServers {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	private String endpointUrl;
	private LocaleId[] localeIds;
	private String[] serverUris;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;
	private ApplicationDescription[] servers;
	
	public RequestHeader getRequestHeader() {
		return requestHeader;
	}
	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}
	public String getEndpointUrl() {
		return endpointUrl;
	}
	public void setEndpointUrl(String endpointUrl) {
		this.endpointUrl = endpointUrl;
	}
	public LocaleId[] getLocaleIds() {
		return localeIds;
	}
	public void setLocaleIds(LocaleId[] localeIds) {
		this.localeIds = localeIds;
	}
	public String[] getServerUris() {
		return serverUris;
	}
	public void setServerUris(String[] serverUris) {
		this.serverUris = serverUris;
	}
	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}
	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	public ApplicationDescription[] getServers() {
		return servers;
	}
	public void setServers(ApplicationDescription[] servers) {
		this.servers = servers;
	}
	
}
